Log4j Version 1.2.7: Class LoggerDynamicMBean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.jmx
Class LoggerDynamicMBean

    java.lang.Object
      |
      +--org.apache.log4j.jmx.AbstractDynamicMBean
            |
            +--org.apache.log4j.jmx.LoggerDynamicMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, EventListener, javax.management.MBeanRegistration, javax.management.NotificationListener

public class LoggerDynamicMBean
extends AbstractDynamicMBean
implements javax.management.NotificationListener

Constructor Summary
`LoggerDynamicMBean(Logger logger)`

Method Summary
`Object` | `getAttribute(String attributeName)`
`protected Logger` | `getLogger()`
`javax.management.MBeanInfo` | `getMBeanInfo()`
`void` | `handleNotification(javax.management.Notification notification, Object handback)`
`Object` | `invoke(String operationName, Object[] params, String[] signature)`
`void` | `postRegister(Boolean registrationDone)`
`void` | `setAttribute(javax.management.Attribute attribute)`

Methods inherited from class org.apache.log4j.jmx.AbstractDynamicMBean
`getAttributes, postDeregister, preDeregister, preRegister, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggerDynamicMBean

    public LoggerDynamicMBean(Logger logger)

Method Detail

### handleNotification

    public void handleNotification(javax.management.Notification notification,
                                   Object handback)

  Specified by:
    `handleNotification` in interface `javax.management.NotificationListener`

### getLogger

    protected Logger getLogger()

  Overrides:
    `getLogger` in class `AbstractDynamicMBean`

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo()

### invoke

    public Object invoke(String operationName,
                         Object[] params,
                         String[] signature)
                  throws javax.management.MBeanException,
                         javax.management.ReflectionException

### getAttribute

    public Object getAttribute(String attributeName)
                        throws javax.management.AttributeNotFoundException,
                               javax.management.MBeanException,
                               javax.management.ReflectionException

### setAttribute

    public void setAttribute(javax.management.Attribute attribute)
                      throws javax.management.AttributeNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException

### postRegister

    public void postRegister(Boolean registrationDone)

  Overrides:
    `postRegister` in class `AbstractDynamicMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.